#! /usr/bin/zsh
#
# clone_and_link.sh
# Copyright (C) 2016 fabian <fabian@fabi-laptop-arch>
#
# Distributed under terms of the MIT license.
#
sudo apt -y update
sudo apt -y dist-upgrade
sudo apt -y install curl zsh tmux virtualenvwrapper powerline fonts-powerline python3 python3-pip python3-pynvim
sudo snap install --classic nvim
./clone_and_link.sh shared; true
if [ $SHELL != "/bin/zsh" ]; then
    chsh -s /usr/bin/zsh;
fi

for filename in zsh/.*_debian.example(N); do
    ln -Tsfv $PWD/$filename $PWD/${filename:0:-15}
done

for filename in tmux/.*_debian.example(N); do
    ln -Tsfv $PWD/$filename $PWD/${filename:0:-15}
done

for filename in nvim/.*_debian.example(N); do
    ln -Tsfv $PWD/$filename $PWD/${filename:0:-15}
done
